Subject: Re: Git Gems

From: Neal Kreitzinger <[email-masked]>
Date: Thu, 17 Nov 2011 18:49:59 -0600

On 11/16/2011 5:18 PM, Hilco Wijbenga wrote:
> Hi all,
>
> Just today, I found out about 'git add -p'. I had never even thought
> of this but, now that I know, I can't imagine life without it. :-)
> Actually, it's a bit scary to note that the Git devs apparently aren't
> just telepathic but they can read my thoughts even before I think
> them. ;-)
>
> All kidding aside, I'm starting to wonder which other Git Gems I don't
> know about. For me, the list of Git Gems would include Git's Bash
> command line prompt, 'git add -p', 'git rebase', 'git commit --amend',
> and 'git-new-workdir'. I realize there are plenty of books and such
> out there but I'm really just looking for a list of Git commands
> and/or options that are worth looking into. Finding out more about a
> particular command/script/option is easy, realizing that a particular
> one is the one you need is not. Especially, if you don't even know you
> have a problem.
>
> As an example, 'git rebase' didn't really seem useful until I
> understood (well, more or less) what it did. Until then, I just
> naively assumed that merge commits and non-linear history were
> something you simply had to live with. I'm guessing that, like me, a
> lot of people come to Git with quite a few assumptions and
> preconceived notions due to their exposure to other SCM tools. :-(
>
This book:  http://progit.org/ will show you many gems if you take the 
time to peruse it.

v/r,
neal